| Home | Libraries | People | FAQ | More

## Struct object_creator

boost::singleton_pool::object_creator

## Synopsis

    // In header: <boost/pool/singleton_pool.hpp>

    struct object_creator {

      // public member functions
      object_creator();
      void do_nothing() const;
    };

## Description

### `object_creator` public member functions

1.     object_creator();

2.     void do_nothing() const;